package np.org.mpp.parser;

import np.org.mpp.logger.Logger;

public class ArcVariable {
	public static int VARMAX=0;
	private int sourceIndex;
	private int destIndex;
	private int varIndex;
	private String karaka;
	String opt;//eithere optioanl(NO) or mandatory(YES)
	
	private ChunkCapsule sourceNode;
	private ChunkCapsule destNode;
	
	public ArcVariable(int sourceIndex, int destIndex,int varIndex, String opt,String karaka){
		this.sourceIndex=sourceIndex;
		this.destIndex=destIndex;
		this.varIndex=varIndex;
		this.opt=opt;
		this.karaka=karaka;
		VARMAX++;
	}
	public int getSourceIndex(){
		return this.sourceIndex;
	}
	public int getDestIndex(){
		return this.destIndex;
	}
	public String optString(){
		return this.opt;
	}
	public int getVarIndex(){
		return this.varIndex;
	}
	public String getKaraka(){
		return this.karaka;
	}
	public void setSourceNode(ChunkCapsule sourceNode){
		this.sourceNode=sourceNode;
	}
	public void setDestNode(ChunkCapsule destNode){
		this.destNode=destNode;
	}
	public ChunkCapsule getSourceNode(){
		return this.sourceNode;
	}
	public ChunkCapsule getDestNode(){
		return this.destNode;
	}
	public void logArc(){
		Logger.log(this.sourceNode.getAnnonatedChunk()+"-->"+this.destNode.getAnnonatedChunk()+" by karaka:"+this.karaka
		+" Demand is :"+this.opt		);
	}
}
