package np.org.mpp.configparser;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.xml.sax.SAXException;
import javax.xml.parsers.ParserConfigurationException;
import java.io.*;
import java.util.*;


import org.w3c.dom.*;

public class ConfigParsers {
	private static Hashtable <String,String>hash;
	Document dom = null;
	Element e;
	private static ConfigParsers cfp;
	private static int count=0;
	private String configFilePath;
	
	public ConfigParsers(String configFilePath){
		hash = new Hashtable<String ,String>();
		this.configFilePath = configFilePath;
		this.docparse();
		this.ParseaAndLoad();
	}
	public static ConfigParsers configParserFactory(String configFilePath){
		if(count==0){
			cfp= new ConfigParsers(configFilePath);
			++count;
		}
		return cfp;
	}
	public static ConfigParsers getInstance(){
		return cfp;
	}
	public static void reset(){
		count=0;
	}
    public void docparse(){
	try {
		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
		DocumentBuilder db = dbf.newDocumentBuilder();
		dom = db.parse(this.configFilePath);
		dom.normalize();
	}

	catch(ParserConfigurationException pce) {
	pce.printStackTrace();	}
	catch(SAXException se) {
		se.printStackTrace();	}
	catch(IOException ioe) {
		ioe.printStackTrace(); }
    }
    
    private void ParseaAndLoad(){
    	//System.out.println(this.configFilePath+"********************");
    	Element docEle = dom.getDocumentElement();
    	NodeList filename = docEle.getChildNodes();
    	for(int i = 0 ; i < filename.getLength();i++) {
    		Node node=filename.item(i);
    		if(node instanceof Element){
				Element e=(Element)node;
				Text text=(Text)e.getChildNodes().item(0);
				//System.out.println(e.getNodeName()+":"+text.getData());
    		if(text.getData().trim()!=null){
    			hash.put(e.getNodeName(), text.getData().trim());
    		}    		
    	}
    }
    	
    }
    
    public static void size(){
    	System.out.println(hash.size()+"*****************************8");
    }
    public static String getValue(String key){    	
    	String sS = null;
		if(hash.containsKey(key)){
			sS = hash.get(key);
		}
		return sS;
    }
    
    public static void displaytest(){
    	Set <String>  s=hash.keySet();
    	String str;
    	String value;
    	Iterator <String> itr=s.iterator();
    	while(itr.hasNext()){
    		str=(String)itr.next();
            value = hash.get(str);
            System.out.println("The key is \"" +str +"\" the value is:" +"\""+ value+"\"");
    	}
    }
    /**
     
    	ConfigParsers cp = new ConfigParsers(args[0]);
    	cp.docparse();
    	cp.ParseaAndLoad();
//    	cp.getValue("inputFile");
    	cp.displaytest();
    	
    }**/
}