/**
 * 
 */
package np.org.mpp.frameparser;

import java.util.ArrayList;
import java.util.Hashtable;

/**
 * @author mpp
 *
 */
public class KarakaFrame {
	private ArrayList<Hashtable<String,String>> frameList=null;
	private String verbPopn;
	
	public KarakaFrame ( String pop ) {
		this.frameList = new ArrayList < Hashtable <String,String>> ();
		this.verbPopn = pop;
	} 
	public void insertFrame ( Hashtable <String,String> frame)	{
		this.frameList.add(frame);
	}
	public String getPostPosn () {
		return this.verbPopn;
	}
	public String get(int i,String key){
		if(key==null){
			System.out.println(" key is not found");
		}
		String str=null;
		Hashtable <String,String>ht=this.frameList.get(i);
		if(ht.containsKey(key)){
			str=ht.get(key);
		}		
		return str;
	}
	public void setAttr(int i,String key,String value){
		Hashtable <String,String>ht=this.frameList.get(i);
		ht.put(key, value);
	}
	public int getSize () {
		return frameList.size();
	}
	
}
