package np.org.mpp.parser;
import java.util.ArrayList;

public class CandidateVerbOld {
	private String verb;
	private ArrayList<String[]>vibhaktis;
	private ArrayList<String>karakas;
	private String lextype;
	private String opt; //either yes or no
	private int sourceIndexPosition;
	private int karakaFrameSize;
	CandidateVerbOld(String verb){
		this.verb=verb;
		this.vibhaktis=new ArrayList<String[]>();
		this.karakas=new ArrayList<String>();
	}
	
	public void setSourceIndex(int index){
		this.sourceIndexPosition=index;
	}
	
	public int getSourceIndex(){
		return this.sourceIndexPosition;
	}
	
	public int getKarakaFrameSize(){
		return this.karakaFrameSize;
	}
	public String getKaraka(int index)throws Exception{
		if(index >this.karakas.size()){
			throw new Exception(" karaka index out of bound exception");
		}
		return this.karakas.get(index);
	}
	public String[] getVibhaktis(int frameIndex)throws Exception{
		if(frameIndex >this.vibhaktis.size()){
			throw new Exception(" vibhaktis index out of bound exception");
		}
		return this.vibhaktis.get(frameIndex);
	}

	public String getVerb(){
		return this.verb;
	}
	public String getLextype(int index){
		return this.lextype;
	}
	public String getOpt(int index){
		return this.opt;
	}
	
	//TO DO :
	//Add methods and module to extract informatrion form word bre
}
